Subject: RE: Cast5-MAC Algorithm

From: Carlisle Adams <[email-masked]>
Date: Wed, 25 Aug 1999 15:24:44 -0400

Hi Timothy,

> -----Original Message-----
> From: Timothy Fisher [mailto:[email-masked]] 
> Sent: Wednesday, August 18, 1999 10:39 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Cast5-MAC Algorithm
> 
> Can anyone point me to a reference where I might be able to find
> implementation
> details for implementing the CAST5-MAC algorithm?
> I have looked at RFC2144 which is the RFC for CAST, but it does not
> contain details
> for implementing the MAC version of CAST.   That is what I am interested
> in.
> 
> If you can be of help, or point me to an appropriate
> reference/specification I would
> be greatful.
 
Doing a CAST5-MAC is identical to doing a MAC based upon any other symmetric
cipher.  Therefore, if you know how to do a DES-CBC-MAC, for example, then
simply do a CAST5-MAC the same way.  The "Handbook of Applied Cryptography"
book by Menezes, van Oorschot, and Vanstone gives a number of standards that
specify how to do symmetric-cipher-based MACs; common ones are ISO/IEC 9797
and ANSI X9.19.

Carlisle.